Get an extraction job
GET
/v1/extractions/{jobId}
JOB_ID=7c9e6679-7425-40de-944b-e07fc1f90ae7 # the jobId the submission answered with
curl -sS "https://api.speccapture.com/v1/extractions/$JOB_ID" \ -H "Authorization: Bearer $SPECCAPTURE_API_KEY"using System.Text.Json;
using HttpClient http = new() { BaseAddress = new Uri("https://api.speccapture.com") };http.DefaultRequestHeaders.Authorization = new("Bearer", Environment.GetEnvironmentVariable("SPECCAPTURE_API_KEY"));
string jobId = args[0]; // the jobId the submission answered with
HttpResponseMessage response = await Call(HttpMethod.Get, $"/v1/extractions/{jobId}");Console.WriteLine(await response.Content.ReadAsStringAsync());
// Sends a request; stops with the problem's code and detail if the API refuses it.async Task<HttpResponseMessage> Call(HttpMethod method, string path, HttpContent? body = null, string? idempotencyKey = null) { using HttpRequestMessage request = new(method, path) { Content = body }; if (idempotencyKey is not null) request.Headers.Add("Idempotency-Key", idempotencyKey); HttpResponseMessage response = await http.SendAsync(request); if (!response.IsSuccessStatusCode) { JsonElement problem = await Json(response); string? detail = (problem.TryGetProperty("detail", out JsonElement text) ? text : problem.GetProperty("title")).GetString(); Console.Error.WriteLine($"{(int)response.StatusCode} {problem.GetProperty("code")}: {detail}"); Environment.Exit(1); } return response;}
// Reads an answer as JSON.static async Task<JsonElement> Json(HttpResponseMessage response) => JsonDocument.Parse(await response.Content.ReadAsStringAsync()).RootElement;import osimport sys
import requests
API = "https://api.speccapture.com"session = requests.Session()session.headers["Authorization"] = f"Bearer {os.environ['SPECCAPTURE_API_KEY']}"
def call(method, path, **kwargs): """Send a request; stop with the problem's code and detail if the API refuses it.""" response = session.request(method, API + path, **kwargs) if not response.ok: problem = response.json() sys.exit(f"{response.status_code} {problem['code']}: {problem.get('detail', problem['title'])}") return response
job_id = sys.argv[1] # the jobId the submission answered with
print(call("GET", f"/v1/extractions/{job_id}").text)const API = "https://api.speccapture.com";const headers = { Authorization: `Bearer ${process.env.SPECCAPTURE_API_KEY}` };
const [jobId] = process.argv.slice(2); // the jobId the submission answered with
console.log(await call("GET", `/v1/extractions/${jobId}`).then((response) => response.text()));
// Sends a request; stops with the problem's code and detail if the API refuses it.async function call(method, path, init = {}) { const response = await fetch(API + path, { ...init, method, headers: { ...headers, ...init.headers } }); if (!response.ok) { const problem = await response.json(); console.error(`${response.status} ${problem.code}: ${problem.detail ?? problem.title}`); process.exit(1); } return response;}Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”jobId
required
string format: uuid
Responses
Section titled “Responses”OK
Media typeapplication/json
object
jobId
required
string format: uuid
status
required
fileName
required
string
fileSizeBytes
required
integer format: int64
fileSha256
required
string
templateId
required
string
templateVersion
required
integer format: int32
sheetCount
required
integer format: int32
credits
required
object
perSheet
required
integer format: int32
reserved
required
integer format: int32
spent
required
integer format: int32
refunded
required
integer format: int32
held
required
integer format: int32
progress
required
object
sheetsCompleted
required
integer format: int32
sheetsFailed
required
integer format: int32
sheetsNeedingReview
required
integer format: int32
sheets
required
Array<object>
object
sheetNumber
required
integer format: int32
status
required
engineVersion
required
null | string
completedAt
required
null | string format: date-time
resultUrl
required
string
markedControlled
boolean
controlledMarking
null | string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
completedAt
required
null | string format: date-time
failureReason
required
null | string
testMode
required
boolean
drawingPurgedAt
null | string format: date-time
templateName
null | string
Not Found: a problem with a stable code. See Errors for every code and what to do about it.
Media typeapplication/problem+json
Every error: a problem with a stable code. https://speccapture.com/docs/api/errors lists every code.
object
type
A link to the code’s entry in the docs.
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
code
What went wrong, as a stable code to branch on: a published code never changes meaning.
string
traceId
This request’s trace: quote it when asking for help.
string